This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169973 - Review Request: python-clientform - ClientForm
Review Request: python-clientform - ClientForm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
http://wwwsearch.sourceforge.net/Clie...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-05 20:04 EDT by Josh Boyer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 22:51:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2005-10-05 20:04:35 EDT
Spec Name or Url: http://jdub.homelinux.org/files/ClientForm/ClientForm.spec
SRPM Name or Url: http://jdub.homelinux.org/files/ClientForm/lientForm-0.1.17-1.src.rpm

Description: <description here>

ClientForm is a Python module for handling HTML forms on the client side,
useful for parsing HTML forms, filling them in and returning the completed
forms to the server.  It developed from a port of Gisle Aas' Perl module
HTML::Form, from the libwww-perl library, but the interface is not the same.
Comment 1 Ville Skyttä 2005-10-06 11:37:56 EDT
I'd personally name it "python-clientform" (all lowercase).  Please at least 
add the "python-" prefix. 
Comment 2 Ignacio Vazquez-Abrams 2005-10-06 12:11:14 EDT
The module name is ClientForm so the proper name would be python-ClientForm.
Comment 3 Ville Skyttä 2005-10-06 12:19:12 EDT
The majority of python-* in Extras seem to disagree with that (based on 
quickly peeking into the source tarball names only). 
Comment 4 Tom "spot" Callaway 2005-10-06 12:20:56 EDT
The prefix is a MUST. The lowercase is up to the packager.
Comment 6 John Mahowald 2005-10-30 01:58:07 EST
Needs work:

- *.pyo needs to be %ghost ed

Summary doesn't seem to match the package:
Summary:        Powerful extensions to the standard datetime module
Is this the right Summary?

Minor:
- typo in Source1, net not not:
http://wwwsearch.sourceforge.not/ClientForm/src/ClientForm-0.1.17.tar.gz

Good:
- BSD license, text included
- spec legible
- source matches upstream
- builds on FC4
- follows python template
- owns all it's files
- rpmlint clean
Comment 7 Josh Boyer 2005-10-30 15:36:08 EST
(In reply to comment #6)
> Needs work:
> 
> - *.pyo needs to be %ghost ed

Ok, I think I fixed this... (first time packaging python)

> 
> Summary doesn't seem to match the package:
> Summary:        Powerful extensions to the standard datetime module
> Is this the right Summary?

No.  Blatant copy/paste error.  Fixed.

> 
> Minor:
> - typo in Source1, net not not:
> http://wwwsearch.sourceforge.not/ClientForm/src/ClientForm-0.1.17.tar.gz

Fixed.

Updated spec files and srpm at:

http://jdub.homelinux.org/files/ClientForm/python-clientform.spec

and

http://jdub.homelinux.org/files/ClientForm/python-clientform-0.1.17-3.src.rpm
Comment 8 John Mahowald 2005-10-31 01:44:40 EST
Looks good. APPROVED
Comment 9 Josh Boyer 2005-11-03 22:51:10 EST
branched, tagged, and built.  thanks for the review!
Comment 10 Christian Iseli 2006-10-18 08:41:35 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.